Package ru.bgcrm.plugin.bgbilling.proto.model.balance

# Class ContractPayment

java.lang.Object
org.bgerp.model.base.Id
ru.bgcrm.plugin.bgbilling.proto.model.balance.ContractPayment

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`

Direct Known Subclasses:
  `ContractCharge`

public class ContractPayment extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractPayment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `String`
  `getContract()`
  `int`
  `getContractId()`
  `Date`
  `getDate()`
  `Date`
  `getLastChangeTime()`
  `BigDecimal`
  `getSum()`
  `String`
  `getType()`
  `int`
  `getTypeId()`
  `String`
  `getUser()`
  `int`
  `getUserId()`
  `boolean`
  `isEditable()`
  `void`
  `setComment(String comment)`
  `void`
  `setContract(String contract)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDate(Date date)`
  `void`
  `setEditable(boolean editable)`
  `void`
  `setLastChangeTime(Date lastChangeTime)`
  `void`
  `setSum(BigDecimal sum)`
  `void`
  `setType(String value)`
  `void`
  `setTypeId(int typeId)`
  `void`
  `setUser(String user)`
  `void`
  `setUserId(int userId)`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractPayment

    public ContractPayment()

- ## Method Details

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getSum

    public BigDecimal getSum()

  - ### setSum

    public void setSum(BigDecimal sum)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getLastChangeTime

    public Date getLastChangeTime()

  - ### setLastChangeTime

    public void setLastChangeTime(Date lastChangeTime)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getUser

    public String getUser()

  - ### setUser

    public void setUser(String user)

  - ### getTypeId

    public int getTypeId()

  - ### setTypeId

    public void setTypeId(int typeId)

  - ### getType

    public String getType()

  - ### setType

    public void setType(String value)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getContract

    public String getContract()

  - ### setContract

    public void setContract(String contract)

  - ### isEditable

    public boolean isEditable()

  - ### setEditable

    public void setEditable(boolean editable)